#!/bin/sh

REL=@release@

if [ "x$1" = "x" ] || ( [ ! "$1" = "i686" ] && [ ! "$1" = "i686smp" ] \
  && [ ! "$1" = "i386BOOT" ] && [ ! "$1" = "i686hugemem" ] \
    && [ ! "$1" = "ia64" ] && [ ! "$1" = "ia32e" ] && [ ! "$1" = "x86_64-smp" ] \
    && [ ! "$1" = "x86_64" ] ); then
    echo "usage:"
    echo "    sh $0 i686|i686smp|i686hugemem|i386BOOT|ia64|ia32e|x86_64|x86_64-smp"
    exit 0
fi

case $1 in
    *smp)	TYPE="smp"; ARCH=`echo $1 | sed -e 's/smp//'` ;;
    *BOOT)	TYPE="BOOT"; ARCH=`echo $1 | sed -e 's/BOOT//'` ;;
    *hugemem)	TYPE="hugemem"; ARCH=`echo $1 | sed -e 's/hugemem//'` ;;
    *)		TYPE=""; ARCH=$1 ;;
esac

make -s mrproper
perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -$REL$TYPE/" Makefile
cp configs/kernel-*-$ARCH${TYPE:+\-$TYPE}.config .config
make -s oldconfig_nonint
make -s scripts/mkdep
make -s dep
make -s include/linux/version.h

echo Done...
